document.addEventListener("deviceready", onDeviceReady, false);

function onDeviceReady() {
	//初始化后台服务地址
	if(!localStorage.getItem("yxptwebSite"))
		getMapiUrl(function(){});
}

var listTerm = [];
var thisTerm = 0;
// 页面初始化
$(document).ready(function(){
	progressDialogShow("信息加载中...");
	$.jsonp({
		url:localStorage.getItem("yxptwebSite")+'selectStuScore_init.action', 
		type:'POST', 
		async:false,
		callback:"callback",
		data: {callback:"callback"},
		success:function(jsonData){
			if(jsonData.LISTINFO == "notTerm"){
				$(".part2").text("暂时无成绩可查询");
				$("div.part1,div.part3").removeAttr("onclick");
				return;
			}
			// 初始化页头
			listTerm = jsonData.LISTTERM
			thisTerm = jsonData.INDEX;
			$(".part2").text("学年学期："+jsonData.TERMNAME);
			initTable(jsonData.LISTSCORE);
		},
		error: function() {
			progressDialogHide();
			makeText("网络异常，请稍候再试......");
		} ,
		complete:function(){
			progressDialogHide();
			document.addEventListener("backbutton", eventBackButton, false);
			$('.wp10').bind("touchend", function(e) {
				eventBackButton();
			});
		}
	});
	progressDialogHide();
});

//var data = [ {
//	"TXSC_COURSE_NAME" : "英语",
//	"TXSC_SCORE" : "55"
//}, {
//	"TXSC_COURSE_NAME" : "电子商务",
//	"TXSC_SCORE" : "74"
//}, {
//	"TXSC_COURSE_NAME" : "C语言",
//	"TXSC_SCORE" : "88"
//}, {
//	"TXSC_COURSE_NAME" : "SQL查询",
//	"TXSC_SCORE" : "90"
//} ];
//$(document).ready(function() {
//	listTerm = [ {"termFullname":"2015-1"}, {"termFullname":"2015-2"}, {"termFullname":"2016-1"} ];
//	thisTerm = 1;
//	$(".part2").text("学年学期：2015-2");
//	initTable(data);
//	document.addEventListener("backbutton", eventBackButton, false);
//	$('.wp10').bind("touchend", function(e) {
//		eventBackButton();
//	});
//});
// 初始化表格
function initTable(list) {
	$("tbody").html("");
//	$("tbody").append($("thead").html());
	if(list.length == 0){
		$("tbody").append("<tr class='last'><td colspan='3' style='text-align: center;'>该学年学期暂没成绩可查！Good Luck!</td></tr>");
		return;
	}
	var good = /优|良/;
	var poor = /不[及合]格/;
	for(var i = 0; i < list.length; i++){
		// 设置空内容
		var TXSC_COURSE_NAME =list[i].TXSC_COURSE_NAME;
		if( TXSC_COURSE_NAME==undefined)
			TXSC_COURSE_NAME="";
		var TXSC_SCORE =list[i].TXSC_SCORE;
		if (TXSC_SCORE==undefined)
			TXSC_SCORE="";
		
		var tr = $("<tr><td class='td1'>"+TXSC_COURSE_NAME+"</td><td class='td2'>"+TXSC_SCORE+"</td><td class='td3'></td></tr>");
		// 绑定行样式
		if (i == list.length - 1)
			tr.addClass("last");
		else if (i%2 != 1)
			tr.addClass("alt");
		// 图片设置
		if(TXSC_SCORE != ""){
			if(good.test(TXSC_SCORE) || TXSC_SCORE >= 80)
				tr.children(".td3").append("<img src='../resources/images/u66_normal.png'/>");
			else if (poor.test(TXSC_SCORE) || TXSC_SCORE < 60)
				tr.children(".td3").append("<img src='../resources/images/u70_normal.gif' class='score_no_pass_img'/><span class='score_no_pass_prompt'>挂科了，加油哦!</span>");
		}
		$("tbody").append(tr);
	}
}

function selectScore(count) {
	var temp = thisTerm + count;
	if(temp < 0 || temp > listTerm.length - 1){
		return;
	}
	$(".part2").text("学年学期："+listTerm[temp].termFullname);
	thisTerm = temp;
	var tempList = [];
	if(temp == 1) initTable(data);
	else initTable(tempList);
//	$.ajax({
//		url:localStorage.getItem("yxptwebSite")+'selectStuScore_selectStuScore.action', 
//		type: "post",
//		dataType:"jsonp",
//		jsonp:"callback",
//		async: false,
//		data:{"termId":listTerm[temp].termId},
//		success:function(jsonData){
//			if(jsonData.LISTINFO){
//				$(".part2").text("学年学期："+listTerm[temp].termFullname);
//				initTable(jsonData.LISTINFO);
//				thisTerm = temp;
//			}
//		},
//		error:function(request){
//			alert("数据加载失败！");
//		}
//	});
}

//向左滑动
function swipeLeft(){
	var temp = thisTerm + 1;
	if(temp < 0 || temp > listTerm.length - 1){
		return;
	}
	selectScore(1);
	var div=$("#my_score_tab");
	div.css("left","100%");
	div.animate({left:'0px'},"slow");
}

//向右滑动
function swipeRight(){
	var temp = thisTerm - 1;
	if(temp < 0 || temp > listTerm.length - 1){
		return;
	}
	selectScore(-1);
	var div=$("#my_score_tab");
	div.css("left","-100%");
	div.animate({left:'0px'},"slow");
}