document.addEventListener("deviceready", onDeviceReady, false);

function onDeviceReady() {
	//初始化后台服务地址
	if(!localStorage.getItem("yxptwebSite"))
		getMapiUrl(function(){});
}

var user = JSON.parse(localStorage.getItem("yxptuser")+"");

// 页面初始化
$(document).ready(function(){
	progressDialogShow("信息加载中...");
	$.jsonp({
		url:localStorage.getItem("yxptwebSite")+'selectStuExams.action', 
		type:'POST', 
		async:false,
		callback:"callback",
		data: {callback:"callback"},
		success:function(jsonData){
			if(jsonData.LISTINFO == "notTerm"){
				$("tbody").append("<tr style='height:40px;' class='alt'><td class='first' colspan='4' style='text-align: center;'>暂时未发布考试安排</td></tr>");
				return;
			}
			// 初始化页头
			var option = $(".option_course_date");
			option.find("font").text(jsonData.LISTINFO.length);
			option.find(".my_exam_title_right").text(jsonData.TERMNAME);
			// 初始化表格
			initTable(jsonData.LISTINFO);
		},
		error: function() {
			progressDialogHide();
			localStorage.getItem("yxptwebSite")
			makeText("网络异常，请稍候再试......");
		} ,
		complete:function(){
			progressDialogHide();
			document.addEventListener("backbutton", eventBackButton, false);
			$('.wp10').bind("touchend", function(e) {
				eventBackButton();
			});
		}
	});
	progressDialogHide();
});

//$(document).ready(function(){
//	var data = [];
//	data[0] = {"TXSC_DATETIME":"8月29日","TXSC_COURSE_NAME":"英语","TXSC_PLACE":"教学楼","TXSC_FLOOR":"二楼","TXSC_SEAT":"201室","TXSC_TRACHER":"王老师"};
//	data[1] = {"TXSC_DATETIME":"8月30日","TXSC_COURSE_NAME":"电子商务","TXSC_PLACE":"教学楼","TXSC_FLOOR":"一楼","TXSC_SEAT":"102室","TXSC_TRACHER":"李老师"};
//	data[2] = {"TXSC_DATETIME":"8月31日","TXSC_COURSE_NAME":"C语言","TXSC_PLACE":"教学楼","TXSC_FLOOR":"二楼","TXSC_SEAT":"202室","TXSC_TRACHER":"张老师"};
//	data[3] = {"TXSC_DATETIME":"9月01日","TXSC_COURSE_NAME":"SQL查询","TXSC_PLACE":"教学楼","TXSC_FLOOR":"三楼","TXSC_SEAT":"303室","TXSC_TRACHER":"照老师"};
//	// 初始化页头
//	var option = $(".option_course_date");
//	option.find("font").text(data.length);
//	option.find(".my_exam_title_right").text("2015年下学期");
//	// 初始化表格
//	initTable(data);
//});
// 初始化表格
function initTable(list) {
	var tbody = $("tbody");
	// 设定无数据时的提示语句
	if(list.length == 0){
		tbody.append("<tr style='height:40px;' class='alt'><td class='first' colspan='4' style='text-align: center;'>加油备考，考试信息将第一时间传达</td></tr>");
		return;
	}
	for(var i = 0; i < list.length; i++){
		// 设置空内容
		var names = ["TXSC_DATETIME","TXSC_COURSE_NAME","TXSC_PLACE","TXSC_FLOOR","TXSC_SEAT","TXSC_TRACHER"];
		for(var index in names){
			if(!list[i][names[index]])
				list[i][names[index]] = "";
		}
		// 设置行内容
		var tr = $("<tr><td class='first'>"+list[i].TXSC_DATETIME
		+"</td><td>"+list[i].TXSC_COURSE_NAME
		+"</td><td>"+list[i].TXSC_FLOOR+"&nbsp;"+list[i].TXSC_PLACE
		+"&nbsp;"+list[i].TXSC_SEAT
		+"</td><td class='last'>"+list[i].TXSC_TRACHER
		+"</td></tr>");
		// 绑定行样式
		if (i%2 != 1)
			tr.addClass("alt");
		tbody.append(tr);
	}
}